package com.luojigou.xiaodou.ble
data class XDScanBLEDevice(
    val id: String,
    val name: String,
    val bondState: String,
    val rssi: String,
    val address: String,
    val addressType: String,
) {
    override fun hashCode(): Int {
        return address.hashCode()
    }

    override fun equals(other: Any?): Boolean {
        return if (other is XDScanBLEDevice) {
            address == other.address
        } else {
            false
        }
    }
}